#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2
visibility:           public
id:                   tree-diff-0.2-JKuK4bF7YeUBZsAKw5ueOx
key:                  tree-diff-0.2-JKuK4bF7YeUBZsAKw5ueOx
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  62e9246343a938dd1b0d36d2c05b25be
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.4/site-local/tree-diff-0.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/tree-diff-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/riscv64-linux-ghc-8.10.4/tree-diff-0.2
hs-libraries:         HStree-diff-0.2-JKuK4bF7YeUBZsAKw5ueOx
depends:
    QuickCheck-2.14.2-HHKsXvTtfAsIBD8D4hiOeZ
    aeson-1.5.6.0-7MQkktxpJhTAunQlRWYBdf
    ansi-terminal-0.11-2XJ2a7euXuEGWKdSni3fXO
    ansi-wl-pprint-0.6.9-D8Gj8FEfjn6htUbk1jyOS base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.12.0
    containers-0.6.2.1 deepseq-1.4.4.0
    hashable-1.3.1.0-BD1lvE6NbIwB3T4DRVOlFB parsec-3.1.14.0
    parsers-0.12.10-Ec4SpyftX8pDEO0sxBzpzV pretty-1.1.3.6
    primitive-0.7.1.0-LeVVszJSQN0KI8PEr1uo05
    scientific-0.3.6.2-AaYHfnIBKbu1bvoyOrtekB
    semialign-1.2-LG5vi8FQmfn6ZwrTgf6x7c
    strict-0.4.0.1-B9CDvnD2I6Y6utrd20xIre
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C text-1.2.4.1
    these-1.1.1.1-D8CnksXhV0bBePyiIRv5ge time-1.9.3
    unordered-containers-0.2.13.0-2m541z0enFeFawazkmHwVJ
    uuid-types-1.0.4-4BiQAUkRtTgKuuaQJr1gL1
    vector-0.12.3.0-7HNMfXcLRI6ItpJj7UccHV

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

